WP6ExtendedDocumentSummaryPacket Class Reference

`#include <WP6ExtendedDocumentSummaryPacket.h>`

Inheritance diagram for WP6ExtendedDocumentSummaryPacket:

## Public Member Functions

| WP6ExtendedDocumentSummaryPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6ExtendedDocumentSummaryPacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) const override
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual std::shared_ptr< WP6SubDocument > | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions

| WP6ExtendedDocumentSummaryPacket (const WP6ExtendedDocumentSummaryPacket &)
WP6ExtendedDocumentSummaryPacket & | operator= (const WP6ExtendedDocumentSummaryPacket &)

## Private Attributes

unsigned | m_dataSize
std::vector< unsigned char > | m_streamData
std::unique_ptr< WPXMemoryInputStream > | m_stream

## Additional Inherited Members

Static Public Member Functions inherited from WP6PrefixDataPacket
static std::shared_ptr< WP6PrefixDataPacket > | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const WP6PrefixIndice &prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## WP6ExtendedDocumentSummaryPacket() [1/2]

WP6ExtendedDocumentSummaryPacket::WP6ExtendedDocumentSummaryPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )

Referenced by operator=(), and WP6ExtendedDocumentSummaryPacket().

## ~WP6ExtendedDocumentSummaryPacket()

WP6ExtendedDocumentSummaryPacket::~WP6ExtendedDocumentSummaryPacket | ( |  | ) |

override

## WP6ExtendedDocumentSummaryPacket() [2/2]

WP6ExtendedDocumentSummaryPacket::WP6ExtendedDocumentSummaryPacket | ( | const WP6ExtendedDocumentSummaryPacket & |  | ) |

private

## Member Function Documentation

## _readContents()

void WP6ExtendedDocumentSummaryPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP6PrefixDataPacket.

## operator=()

WP6ExtendedDocumentSummaryPacket & WP6ExtendedDocumentSummaryPacket::operator= | ( | const WP6ExtendedDocumentSummaryPacket & |  | ) |

private

## parse()

void WP6ExtendedDocumentSummaryPacket::parse | ( | WP6Listener * | listener | ) | const

override virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

## m_dataSize

unsigned WP6ExtendedDocumentSummaryPacket::m_dataSize

private

Referenced by _readContents(), parse(), and WP6ExtendedDocumentSummaryPacket().

## m_stream

std::unique_ptr<WPXMemoryInputStream> WP6ExtendedDocumentSummaryPacket::m_stream

mutable private

Referenced by _readContents(), parse(), and WP6ExtendedDocumentSummaryPacket().

## m_streamData

std::vector<unsigned char> WP6ExtendedDocumentSummaryPacket::m_streamData

private

Referenced by _readContents(), and WP6ExtendedDocumentSummaryPacket().

The documentation for this class was generated from the following files:

- WP6ExtendedDocumentSummaryPacket.h
- WP6ExtendedDocumentSummaryPacket.cpp